!set title=Matriz ejemplo 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r,r,r,r
varcnt=3
prevarcnt=2
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=3
feedbackcnt=0
format=tex

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint -20, 20

val6=$[rint($(tmp0))]
tmp0=!randint -20, 20

val7=$[rint($(tmp0))]
replyname1=a
replygood1=?analyze 8
replyname2=b
replygood2=?analyze 9
replyname3=c
replygood3=?analyze 10
replyname4=d
replygood4=?analyze 11
question=!nosubst Encontrar una matriz &#36;A=\pmatrix{a&b\cr c&d}&#36; tal que	traza&#36;(A)=$val6&#36; y &#36;\det(A)=$val7&#36;, y que ninguno de los elementos	&#36;a,b,c,d&#36; sea cero.

!goto stat

!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!ifval abs(($val8)*($val9)*($val10)*($val11))>0.01
 condtest1=1
!else
 condtest1=0
!endif
condname1=elements non-zero

!ifval $val8+$val11=$val6
 condtest2=1
!else
 condtest2=0
!endif
condname2=Trace=$val6

!ifval ($val8)*($val11)-($val9)*($val10)=$val7
 condtest3=1
!else
 condtest3=0
!endif
condname3=Determinant=$val7

!exit

:stat
vsavelist=6,7,8,9,10,11
embedcnt=0
